## visad.collab
Interface MonitorCallback

All Known Subinterfaces:
  DisplaySync, RemoteDisplaySync

All Known Implementing Classes:
  DisplaySyncImpl, RemoteDisplaySyncImpl

public interface MonitorCallback

`MonitorCallback` is the interface for receivers of `MonitorEvent`s.

Method Summary
`void` `eventReady(RemoteEventProvider provider, Object key)` Alert the callback object that an event is ready.

Method Detail

### eventReady

    public void eventReady(RemoteEventProvider provider,
                           Object key)
                    throws RemoteException,
                           RemoteVisADException

  Alert the callback object that an event is ready.

  Throws:
    `RemoteException` - If there was an RMI-related problem.
    `RemoteVisADException` - If there was an internal problem.